X2Go Bug report logs - #83
Make CFLAGS usable in x2goserver

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 12 Dec 2012 11:13:04 UTC

Severity: normal

Tags: patch, pending

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Wed, 12 Dec 2012 11:13:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Dec 2012 11:13:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Orion Poplawski <orion@cora.nwra.com>
Subject: Make CFLAGS usable in x2goserver
Date: Wed, 12 Dec 2012 12:05:15 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Tag: patch
Submitter: Orion Poplawski <orion@cora.nwra.com>

x2goserver (patch attached):
- Does not honor passed in CFLAGS.  The attached  
x2goserver-cflags.patch fixes.

----- Weitergeleitete Nachricht von orion@cora.nwra.com -----
     Datum: Tue, 11 Dec 2012 16:11:02 -0700
       Von: Orion Poplawski <orion@cora.nwra.com>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: [X2Go-Dev] x2go for Fedora packaging issues
        An: x2go-dev@lists.berlios.de

[...]

Thank you for your attention.

- Orion


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[x2goserver-cflags.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Dec 2012 11:18:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Wed, 12 Dec 2012 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Dec 2012 11:48:02 GMT) Full text and rfc822 format available.

Message #12 received at 83@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 83@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Patch applied in x2goserver.git
Date: Wed, 12 Dec 2012 12:40:01 +0100
[Message part 1 (text/plain, inline)]
tag #83 pending
thanks

The patch has been applied to Git branches master and release/3.1.1.x:

releases/3.1.1.x
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a306e368163608e4e8c3f6b7bf462b67654908e4

master
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=309d4caa7717da5b3bec843e97dfd188567ef485
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=381bbae19c69112d37ed7fbef28f32c87ea1f17b

The patch will be in the next release of X2Go Server (3.1.1.10).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Dec 2012 11:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Tue, 08 Jan 2013 12:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernard Cafarelli <voyageur@gentoo.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 08 Jan 2013 12:18:01 GMT) Full text and rfc822 format available.

Message #19 received at 83@bugs.x2go.org (full text, mbox):

From: Bernard Cafarelli <voyageur@gentoo.org>
To: 83@bugs.x2go.org
Subject: Also support CC and LDFLAGS
Date: Tue, 08 Jan 2013 13:15:35 +0100
[Message part 1 (text/plain, inline)]
Nice to see the build system getting better :)

I used a different style to fix this, also allowing CC override and 
custom LDFLAGS. I attach the updated patch for 4.0.0.0

-- 
Bernard Cafarelli (Voyageur)
Gentoo developer (NX, GNUstep, net-misc, llvm/clang, ...)
[x2goserver-4.0.0.0-cc_ldflags.patch (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Tue, 08 Jan 2013 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 08 Jan 2013 21:48:02 GMT) Full text and rfc822 format available.

Message #24 received at 83@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Bernard Cafarelli <voyageur@gentoo.org>, 83@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#83: Also support CC and LDFLAGS
Date: Tue, 8 Jan 2013 22:40:10 +0100 (CET)
On Tuesday 2013-01-08 13:15, Bernard Cafarelli wrote:

> Nice to see the build system getting better :)
>
> I used a different style to fix this, also allowing CC override and custom
> LDFLAGS. I attach the updated patch for 4.0.0.0

-pie belongs into LDFLAGS.

Removed tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 09 Jan 2013 11:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Mon, 11 Feb 2013 10:54:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 11 Feb 2013 10:54:54 GMT) Full text and rfc822 format available.

Message #31 received at 83@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 83@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Patch applied, thanks!
Date: Mon, 11 Feb 2013 11:54:20 +0100
[Message part 1 (text/plain, inline)]
tag #83 pending
thanks

the patch provided by Bernhard Carfarelli has been applied to X2Go Server.

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=5a29dae3550069dc53ffb2d12b25bac51e02596d

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 11 Feb 2013 10:54:55 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#83; Package x2goserver. (Sat, 23 Mar 2013 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 01:03:03 GMT) Full text and rfc822 format available.

Message #38 received at 83@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 83@bugs.x2go.org, 86@bugs.x2go.org, 105@bugs.x2go.org, 121@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in X2Go Server 4.0.0.1
Date: Sat, 23 Mar 2013 01:51:12 +0100
[Message part 1 (text/plain, inline)]
close #83
close #86
close #105
close #121
thanks

The reported issue has been solved in release 4.0.0.1 of X2Go Server.

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 01:03:03 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 01:03:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 11:10:20 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.